Get Voices by Name
curl --request GET \
--url https://api.musicgpt.com/api/public/v1/searchVoices \
--header 'Authorization: <api-key>'import requests
url = "https://api.musicgpt.com/api/public/v1/searchVoices"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.musicgpt.com/api/public/v1/searchVoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"voices": [
{
"voice_id": "JustinBieber",
"voice_name": "Justin Bieber"
}
],
"limit": 20,
"page": 0,
"total": 2
}{
"success": false,
"error": "Internal Server Error"
}Helper Endpoints
Get Voices by Name
Search for voices to get their voice ID by their names using a query string.
GET
/
v1
/
searchVoices
Get Voices by Name
Authorizations
Query Parameters
The search string to filter voices by name
Maximum number of voices per page
Page number for pagination
⌘I